# BMW Coding Guides

Welcome to the BMW Coding Guides repository! This repository contains a collection of PDF guides designed to help you with various BMW coding tasks, from enabling features to customizing settings in your vehicle.

## Table of Contents

- [Introduction](#introduction)
- [Guides](#guides)
- [Tools](#tools)
- [License](#license)

## Introduction

This repository aims to provide comprehensive and easy-to-follow guides for coding and customizing BMW vehicles. Each guide is available as a PDF document that can be downloaded and used to enable, modify, or enhance different features of your BMW.

## Guides

The guides are organized in the `guides` directory. Each PDF file in this directory provides step-by-step instructions for a specific coding task or feature enhancement.

### Available Guides

- [Enabling the Bluetooth Music Option with Combox Module](guides/Enhanced_Bluetooth_Music.pdf)
- [Hacking NBTEVO ID6 Car Image](https://davidpetric.com/2024/06/21/nbt-evo-id6-hacking-the-car-image/)
- [BMW FSC Certificate Extraction Guide](guides/BMW_FSC_Certificate_Extraction_Guide.pdf)
- [FSC Code IDs](guides/BMW_FSC_Code_Number_ID.pdf)
- [F3x/F2x/F1x Cheat Sheet](guides/F3x_F2x_F1x_Cheat_Sheet.pdf)
- [F Series ECUs with Description](guides/BMW_F_Series_ECUs.pdf)
- [BMW Navigation Europe East/West Coverage](guides/BMW_Europe_Navi_East_West_Diff.pdf)
- [E-SYS Manual](guides/E-Sys_Manual_V23_10_ENG.pdf)
- [ENET IP Configuration](guides/BMW_ENET_Static_IP_Setup_Guide.pdf)
- [SLI Unsupported Couontry Coding](guides/BMW_SLI_Unsupported_Country_Coding.pdf)
- [IKON Headlights Retrofit Coding](guides/BMW_IKON_Headlights_Retrofit.pdf)
- [CarPlay Compatibility List](guides/BMW_CarPlay_Android_Screen_Mirroring_Compatibility.pdf)
- [PsDzData I-Step versions](guides/BMW_ISTA_PSDZData_Versions.pdf)
- [Update Guide for NBTEvo](guides/Update_Guide_for_Full_Screen_CarPlay.pdf)
### Available Tools

| Tool Name        | Description                                          |
|------------------|------------------------------------------------------|
| `fat32format.txt` | Application for formatting USB drives to FAT32.      |
| `copie_scr.sh`    | Script for pulling the 1b file out of CIC systems.   |

## License

This repository is licensed under the MIT License. See the [LICENSE](LICENSE) file for more information.
